// ReportList function js

var RL = {};

RL.init = function() {
    console.log("kdh check ok");
    // COMMON.checkAuth(true);
    RL.loadCommon();
    
    RL.initTaskReportList();
};

RL.loadCommon = function() {
    $("#includedHeader").load("../html/common/header.html" , function() {
        I18N.initi18n();
        HEADER.init();
    }); 
    $("#includedConfirmModal").load("../html/common/confirm-modal.html", function() {
        I18N.initi18n();
    }); 
}

RL.initTaskReportList = function() {
    if (sessionStorage.OL_operationId) {
        let params = {};
        params.sid = COMMON.getSid();
        params.operationId = sessionStorage.OL_operationId;
        params.returnUrl = CONSTANT.URL.WEB.BASE + CONSTANT.URL.WEB.OPERATION_LIST;
        let url = COMMON.format(ClientData.conf_checkApiUrl(), ClientData.userInfo_accountPath()) + CONSTANT.URL.CMS.HTML.BASE + CONSTANT.URL.CMS.HTML.TASK_REPORT_LIST;
        $("#task-list").load(url, params);
    } else {
        COMMON.displayAlert("error");
        COMMON.avwScreenMove("taskList.html");
    }
}

